# plotly.js-locales

Ready-to-use plotly.js locales

For more info on plotly.js, go to https://github.com/plotly/plotly.js#readme

## Installation

```
npm install plotly.js-locales
```
## Usage

For example to setup the `fr` locale:

```js
// ES6 module
import Plotly from 'plotly.js'
import locale from 'plotly.js-locales/fr'

// CommonJS
var Plotly = require('plotly.js')
var locale = require('plotly.js-locales/fr')

// then
Plotly.register(locale)
Plotly.setPlotConfig({locale: 'fr'})
```

## Copyright and license

Code and documentation copyright 2024 Plotly, Inc.

Code released under the [MIT license](https://github.com/plotly/plotly.js/blob/master/LICENSE).

Docs released under the [Creative Commons license](https://github.com/plotly/documentation/blob/source/LICENSE).
